PlainFormatter (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.test.report.junit
[Java] Class PlainFormatter

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter
          org.codehaus.groovy.grails.test.report.junit.PlainFormatter

    public class PlainFormatter
    extends org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter

Sanitises the stack traces generated by tests.

Field Summary
`protected java.io.File` | `file`
`protected java.lang.String` | `name`
`protected java.lang.String` | `systemError`
`protected java.lang.String` | `systemOutput`

Constructor Summary
`PlainFormatter(java.lang.String name, java.io.File file)`

Method Summary
`void` | `addError(junit.framework.Test test, java.lang.Throwable throwable)`
`void` | `addFailure(junit.framework.Test test, java.lang.Throwable throwable)`
`void` | `endTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest suite)`
`void` | `setOutput(java.io.OutputStream out)`
`void` | `setSystemError(java.lang.String out)`
`void` | `setSystemOutput(java.lang.String out)`
`protected void` | `writeToFile(java.io.File f, java.lang.String text)`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter
org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#addError(junit.framework.Test, java.lang.Throwable), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#setOutput(java.io.OutputStream), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#startTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#setSystemOutput(java.lang.String), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#endTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#endTest(junit.framework.Test), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#addFailure(junit.framework.Test, junit.framework.AssertionFailedError), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#addFailure(junit.framework.Test, java.lang.Throwable), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#startTest(junit.framework.Test), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#setSystemError(java.lang.String), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#wait(long, int), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#wait(long), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#wait(), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#equals(java.lang.Object), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#toString(), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#hashCode(), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#getClass(), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#notify(), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### file

    protected java.io.File file

### name

    protected java.lang.String name

### systemError

    protected java.lang.String systemError

### systemOutput

    protected java.lang.String systemOutput

Constructor Detail

### PlainFormatter

    public PlainFormatter(java.lang.String name, java.io.File file)

Method Detail

### addError

    @java.lang.Override
    public void addError(junit.framework.Test test, java.lang.Throwable throwable)

### addFailure

    @java.lang.Override
    public void addFailure(junit.framework.Test test, java.lang.Throwable throwable)

### endTestSuite

    @java.lang.Override
    public void endTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest suite)

### setOutput

    @java.lang.Override
    public void setOutput(java.io.OutputStream out)

### setSystemError

    @java.lang.Override
    public void setSystemError(java.lang.String out)

### setSystemOutput

    @java.lang.Override
    public void setSystemOutput(java.lang.String out)

### writeToFile

    protected void writeToFile(java.io.File f, java.lang.String text)

Groovy Documentation